## ros-melodic-usv-gazebo-plugins 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(usv_gazebo_plugins)
find_package(catkin REQUIRED COMPONENTS gazebo_dev roscpp message_generation xacro wave_gazebo_plugins)
find_package(Eigen3 REQUIRED)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS message_runtime gazebo_dev roscpp wave_gazebo_plugins
)

# Plugins require c++11
set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

include_directories( include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)
link_directories(
  ${catkin_LIBRARY_DIRS}
)

## Declare a C++ library
add_library(buoyancy_gazebo_plugin
  src/buoyancy_gazebo_plugin.cc
  src/shape_volume.cc
  src/polyhedron_volume.cc
)
target_link_libraries(buoyancy_gazebo_plugin
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES}
  ${Eigen_LIBRARIES}
)
install(TARGETS buoyancy_gazebo_plugin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

## Declare a C++ library
add_library(usv_gazebo_dynamics_plugin
  src/usv_gazebo_dynamics_plugin.cc
)
target_link_libraries(usv_gazebo_dynamics_plugin
  ${catkin_LIBRARIES}
  ${Eigen_LIBRARIES}
)
install(TARGETS usv_gazebo_dynamics_plugin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

## Declare a C++ library
add_library(usv_gazebo_thrust_plugin
  src/usv_gazebo_thrust_plugin.cc
)
target_link_libraries(usv_gazebo_thrust_plugin
  ${catkin_LIBRARIES}
  ${Eigen_LIBRARIES}
)
install(TARGETS usv_gazebo_thrust_plugin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

## Declare a C++ library
add_library(usv_gazebo_wind_plugin
  src/usv_gazebo_wind_plugin.cc
)
target_link_libraries(usv_gazebo_wind_plugin
  ${catkin_LIBRARIES}
  ${Eigen_LIBRARIES}
)

# Generate demo world files from xacro and install
xacro_add_files(
  worlds/buoyancy_plugin_demo.world.xacro
  INORDER INSTALL DESTINATION worlds
)
install(DIRECTORY worlds/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/worlds)

if(CATKIN_ENABLE_TESTING)
  # buoyancy plugin test
  catkin_add_gtest(buoyancy_plugin_test test/buoyancy_test.cc)
  target_link_libraries(buoyancy_plugin_test buoyancy_gazebo_plugin)
endif()

install(TARGETS usv_gazebo_wind_plugin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-melodic-usv-gazebo-plugins (1.3.0-1bionic) bionic; urgency=high

  * Make code_check happy.
  * Mod to make use of maxCmd and update to .hgignore
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.6-1bionic) bionic; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.5-1bionic) bionic; urgency=high

  * merging default into branch
  * Changes for code checker
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.4-1bionic) bionic; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.3-1bionic) bionic; urgency=high

  * Minor maintenance updates.
  * Fix style error.
  * Adding a default value for the length_n plugin parameter
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Aguero <mailto:caguero@osrfoundation.org>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.2-1bionic) bionic; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 05 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.1-1bionic) bionic; urgency=high

  * updated comments
  * minor cleanup + env flag + disable z
  * Namespace tweaks.
  * Style changes.
  * gazebo 7 bug fix
  * removed from wamv
  * gazebo 7 compatibility
  * force vectors are correct; scaling added
  * Contributors: Carlos Aguero, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 04 Sep 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.2.0-1bionic) bionic; urgency=high

  * Deterministic wind.
  * Add v3d plugin - this publishes a vecotr based on the world frame velocity in Gazebo
    Update gps configuration to add gazebo gps and v3d plugins to standard configuration
  * Add plugin for ROS interface to gazebo GPS sensor.
  * added cylinder placeholder
  * incremental
  * added plate and sphere models
  * functional for cubes
  * added force visual plugin
  * Contributors: Carlos Aguero, Jonathan Wheare <mailto:jonathan.wheare@flinders.edu.au>, MarshallRawson, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Sun, 18 Aug 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.1.2-1bionic) bionic; urgency=high

  * usv_gazebo_wind_plugin.hh changes
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Agüero <mailto:cen.aguero@gmail.com>, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Tue, 09 Jul 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.1.1-1bionic) bionic; urgency=high

  * Reinterpret the wind 'gain' parameter.  Set defaults to zero
  * updated style for buoyancy plugin
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Rumman Waqar <mailto:rumman.waqar05@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Tue, 02 Jul 2019 22:00:00 -0000

ros-melodic-usv-gazebo-plugins (1.1.0-1bionic) bionic; urgency=high

  * Refactor SpinPropeller to be more clear and match style of RotateEngine
  * Publish joint state for chassis engine joint to fix tf tree issue
  * addressed Brian's comments
  * Connecting wave model to buoyancy plugin
  * buoyancy now uses wave height
  * capitalized brief sentences
  * gazebo 7 vector3[] operator lhv error fixed try 2
  * gazebo 7 vector3[] operator lhv error fixed
  * gazebo <= 8 fixes for Mass and AngularVel
  * complex objects + xacro cleanup
  * force applied in correct place
  * centroid + volume complete
  * moved shape volume into its own file and renamed classes
  * tiny refactor
  * polyhedron class finished and tests passed
  * implemented polyhedron based cube + cylinder submerged volume and cov
  * rotation bug fix
  * basic volume for box, sphere and cylinder
  * removed old volume data structure + created skeleton for volume calc
  * removed old volume data structure + created skeleton for volume calc
  * added move constructor for buoyancy object and remove copy constructor
  * added links and buoyancy object to plugin
  * minor cleanup
  * added pose for buoyancy element
  * parsed buoyancy shape now saved as unique_ptr
  * cleaned up parsing
  * updated buoyancy xacro + parsing
  * Setup buoyancy test build system + test world
  * merging with default - need to check wind
  * added wind capabilities
  * Removing gazebo::msg::Param references and cleaning up for gazebo version < 8 compatibility.
  * Removed gazebo messaging, introduces redundancy in model.sdf for ocean. USV and buoyancy plugins only get wave parameters once instead of every update.
  * Move link error message.
  * Another Nitpick fix (== nullptr) => !
  * Nitpick fix (== nullptr) => !
  * Clarify required and optional parameters, and remove unused confusing default declarations
  * Put required parameters together and make it obvious which are required
  * Retune PID for engineJoint with lower P gain, for more realistic behavior
  * Add <enableAngle> bool parameter that controls if angle is adjustable or not
  * C++ Code style fixes
  * Add documentation about maxAngle and angleTopic
  * updated documentation
  * Attempt to fix build issue with .GetAngle().Radian()
  * Attempt to fix build issue with Position() -> GetAngle() for old gazebo version
  * Implement PID controller for engine joint to set joint angle
  * changed sdf sytax for passing models to be effected by wind and addressed styling
  * Attempt to fix build issues SetAngle->SetPosition
  * Attempt to fix build issue with different setAngle setPosition implementation based on Gazebo version
  * Implement turnable thruster joint


=== debian/control ===
Source: ros-melodic-usv-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Carlos Aguero <caguero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-gazebo-dev, ros-melodic-gazebo-ros (>= 2.5.17), ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-wave-gazebo-plugins, ros-melodic-xacro
Homepage: http://wiki.ros.org/usv_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-melodic-usv-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-gazebo-dev, ros-melodic-gazebo-ros (>= 2.5.17), ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-wave-gazebo-plugins, ros-melodic-xacro
Description: Gazebo plugins for simulating Unmanned Surface Vehicles Originaly copied from https://github.com/bsb808/usv_gazebo_plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-usv-gazebo-plugins//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
